Compare commits

..

39 commits

Author SHA1 Message Date
Packit
4295c0279e Update to 118 upstream release
Upstream tag: v118
Upstream commit: 86f3459e

Commit authored by Packit automation (https://packit.dev/)
2024-05-08 08:15:36 +00:00
Packit
d674341701 Update to 117 upstream release
Upstream tag: v117
Upstream commit: 1f0f18d2

Commit authored by Packit automation (https://packit.dev/)
2024-04-24 08:20:08 +00:00
Packit
216095729c Update to 116 upstream release
Upstream tag: v116
Upstream commit: f892351b

Commit authored by Packit automation (https://packit.dev/)
2024-04-15 09:10:42 +00:00
Packit
aeaeca3ed7 Update to 115 upstream release
Upstream tag: v115
Upstream commit: 6549bf19

Commit authored by Packit automation (https://packit.dev/)
2024-04-10 08:20:00 +00:00
Packit
60f17504cc [packit] 114 upstream release
Upstream tag: v114
Upstream commit: 7e0e30fd
2024-03-29 12:36:05 +00:00
Packit
b113b1713f [packit] 113 upstream release
Upstream tag: v113
Upstream commit: ec496769
2024-03-27 08:19:17 +00:00
Packit
b0eda6c14a [packit] 112 upstream release
Upstream tag: v112
Upstream commit: dd575465
2024-03-13 08:18:09 +00:00
Packit
57e8e43dbd [packit] 111 upstream release
Upstream tag: v111
Upstream commit: 7709b7ca
2024-02-28 08:15:41 +00:00
Packit
eac41ea711 [packit] 110 upstream release
Upstream tag: v110
Upstream commit: 0b7dcf3c
2024-02-26 15:45:19 +00:00
Packit
51becc0964 [packit] 109 upstream release
Upstream tag: v109
Upstream commit: 32297469
2024-02-22 11:54:27 +00:00
Packit
56e5420efe [packit] 108 upstream release
Upstream tag: v108
Upstream commit: c3af3173
2024-02-14 08:15:25 +00:00
Packit
b767325b18 [packit] 106 upstream release
Upstream tag: v106
Upstream commit: 2581160c
2024-01-31 17:48:27 +00:00
Packit
7ab6a0d40e [packit] 105 upstream release
Upstream tag: v105
Upstream commit: f9b55ff6
2024-01-31 08:13:35 +00:00
Packit
e009d08025 [packit] 104 upstream release
Upstream tag: v104
Upstream commit: e0bbb339
2024-01-16 13:53:02 +00:00
Packit
f6f54a495b [packit] 103 upstream release
Upstream tag: v103
Upstream commit: 8c95bd9d
2024-01-03 08:14:58 +00:00
Packit
bc4d906d03 [packit] 102 upstream release
Upstream tag: v102
Upstream commit: 5fc3b565
2023-12-20 08:13:24 +00:00
Packit
e6f60a667c [packit] 101 upstream release
Upstream tag: v101
Upstream commit: 55a007a8
2023-12-06 08:16:33 +00:00
Packit
6301583f9c [packit] 100 upstream release
Upstream tag: v100
Upstream commit: 9cece6b4
2023-11-22 08:17:41 +00:00
Packit
c4f27244bd [packit] 99 upstream release
Upstream tag: v99
Upstream commit: 0edbe0cf
2023-11-08 08:14:37 +00:00
Packit
94d1933791 [packit] 98 upstream release
Upstream tag: v98
Upstream commit: 41652343
2023-10-25 08:15:22 +00:00
Packit
6ae30a7f52 [packit] 97 upstream release
Upstream tag: v97
Upstream commit: 3cc733d7
2023-10-11 08:15:58 +00:00
Packit
d8d5bccb54 [packit] 96 upstream release
Upstream tag: v96
Upstream commit: e48360e0
2023-09-27 08:14:08 +00:00
Packit
7483d8a36b [packit] 95 upstream release
Upstream tag: v95
Upstream commit: 66b1da02
2023-09-13 08:17:35 +00:00
Packit
d5d670ba6d [packit] 94 upstream release
Upstream tag: v94
Upstream commit: 2972949d

If you need to do any change in this pull request, you need to locally fetch the source branch of it and push it (with a fix) to your fork (as it is not possible to push to the branch created in the Packit’s fork):
```
git fetch https://src.fedoraproject.org/forks/packit/rpms/osbuild.git refs/heads/*:refs/remotes/packit/*
git checkout packit/94-f38-update-propose_downstream
```
2023-08-30 08:18:16 +00:00
Packit
5460052bac [packit] 93 upstream release
Upstream tag: v93
Upstream commit: 433515cf

If you need to do any change in this pull request, you need to locally fetch the source branch of it and push it (with a fix) to your fork (as it is not possible to push to the branch created in the Packit’s fork):
```
git fetch https://src.fedoraproject.org/forks/packit/rpms/osbuild.git refs/heads/*:refs/remotes/packit/*
git checkout packit/93-f38-update-propose_downstream
```
2023-08-23 15:29:01 +00:00
Packit
8c0510a4e7 [packit] 92 upstream release
Upstream tag: v92
Upstream commit: e8bd5e9c

If you need to do any change in this pull request, you need to locally fetch the source branch of it and push it (with a fix) to your fork (as it is not possible to push to the branch created in the Packit’s fork):
```
git fetch https://src.fedoraproject.org/forks/packit/rpms/osbuild.git refs/heads/*:refs/remotes/packit/*
git checkout packit/92-f38-update-propose_downstream
```
2023-08-16 08:20:27 +00:00
Packit
527cd1d02a [packit] 91 upstream release
Upstream tag: v91
Upstream commit: 10e70463

If you need to do any change in this pull request, you need to locally fetch the source branch of it and push it (with a fix) to your fork (as it is not possible to push to the branch created in the Packit’s fork):
```
git fetch https://src.fedoraproject.org/forks/packit/rpms/osbuild.git refs/heads/*:refs/remotes/packit/*
git checkout packit/91-f38-update-propose_downstream
```
2023-08-02 08:17:01 +00:00
Packit
b5aaeef0ef [packit] 90 upstream release
Upstream tag: v90
Upstream commit: 74eed6a3

If you need to do any change in this pull request, you need to locally fetch the source branch of it and push it (with a fix) to your fork (as it is not possible to push to the branch created in the Packit’s fork):
```
git fetch https://src.fedoraproject.org/forks/packit/rpms/osbuild.git refs/heads/*:refs/remotes/packit/*
git checkout packit/90-f38-update-propose_downstream
```
2023-07-19 08:15:01 +00:00
Packit
491adb5a37 [packit] 89 upstream release
Upstream tag: v89
Upstream commit: c90b587d
2023-06-27 12:59:46 +00:00
Packit
89c103486c [packit] 88 upstream release
Upstream tag: v88
Upstream commit: 107ac2b1
2023-06-21 08:14:27 +00:00
Packit
5b1f5426fe [packit] 87 upstream release
Upstream tag: v87
Upstream commit: 2e3f5fc0
2023-06-07 08:14:49 +00:00
Packit
0cfb440709 [packit] 86 upstream release
Upstream tag: v86
Upstream commit: 8669d0ad
2023-05-24 08:15:07 +00:00
Packit
0b68ca7498 [packit] 85 upstream release
Upstream tag: v85
Upstream commit: 1fbd9d97
2023-05-10 08:14:46 +00:00
Packit
d415816db1 [packit] 84 upstream release
Upstream tag: v84
Upstream commit: feb216c0
2023-04-27 13:10:03 +00:00
Packit
719e055756 [packit] 83 upstream release
Upstream tag: v83
Upstream commit: 33597e82

Signed-off-by: Packit <hello@packit.dev>
2023-04-12 20:12:00 +00:00
Packit
61d789a5d9 [packit] 82 upstream release
Upstream tag: v82
Upstream commit: bae4f776

Signed-off-by: Packit <hello@packit.dev>
2023-03-29 08:15:46 +00:00
Tomáš Hozza
cf41aad17c
[packit] 81 upstream release
Upstream tag: v81
Upstream commit: 345b2a59

Signed-off-by: Tomáš Hozza <thozza@redhat.com>
2023-02-27 20:59:29 +01:00
Packit
f6f1393fa2 [packit] 80 upstream release
Upstream tag: v80
Upstream commit: 200c2b01

Signed-off-by: Packit <hello@packit.dev>
2023-02-20 14:39:27 +00:00
Packit
a97d4777fb [packit] 79 upstream release
Upstream tag: v79
Upstream commit: 5eefdc1e

Signed-off-by: Packit <hello@packit.dev>
2023-02-15 08:16:23 +00:00
24 changed files with 2027 additions and 37721 deletions

View file

@ -1 +0,0 @@
1

39
.gitignore vendored
View file

@ -104,6 +104,7 @@
/osbuild-104.tar.gz
/osbuild-105.tar.gz
/osbuild-106.tar.gz
/osbuild-108.tar.gz
/osbuild-109.tar.gz
/osbuild-110.tar.gz
/osbuild-111.tar.gz
@ -111,42 +112,6 @@
/osbuild-113.tar.gz
/osbuild-114.tar.gz
/osbuild-115.tar.gz
/osbuild-116.tar.gz
/osbuild-117.tar.gz
/osbuild-118.tar.gz
/osbuild-119.tar.gz
/osbuild-122.tar.gz
/osbuild-123.tar.gz
/osbuild-124.tar.gz
/osbuild-125.tar.gz
/osbuild-126.tar.gz
/osbuild-129.tar.gz
/osbuild-130.tar.gz
/osbuild-131.tar.gz
/osbuild-132.tar.gz
/osbuild-135.tar.gz
/osbuild-136.tar.gz
/osbuild-137.tar.gz
/osbuild-138.tar.gz
/osbuild-139.tar.gz
/osbuild-140.tar.gz
/osbuild-141.tar.gz
/osbuild-142.tar.gz
/osbuild-143.tar.gz
/osbuild-144.tar.gz
/osbuild-146.tar.gz
/osbuild-147.tar.gz
/osbuild-149.tar.gz
/osbuild-151.tar.gz
/osbuild-152.tar.gz
/osbuild-153.tar.gz
/osbuild-155.tar.gz
/osbuild-156.tar.gz
/osbuild-158.tar.gz
/osbuild-159.tar.gz
/osbuild-161.tar.gz
/osbuild-162.tar.gz
/osbuild-163.tar.gz
/osbuild-164.tar.gz
/osbuild-166.tar.gz
/osbuild-167.tar.gz
/osbuild-169.tar.gz

View file

@ -26,14 +26,10 @@ jobs:
job: copr_build
trigger: pull_request
targets:
- centos-stream-8-aarch64
- centos-stream-8-x86_64
- centos-stream-9-aarch64
- centos-stream-9-s390x
- centos-stream-9-pcc64le
- centos-stream-9-x86_64
- centos-stream-10-aarch64
- centos-stream-10-s390x
- centos-stream-10-ppc64le
- centos-stream-10-x86_64
- epel-8-aarch64
- epel-8-x86_64
- epel-9-aarch64

View file

@ -0,0 +1,23 @@
From e8c219036302817882d469400b08cbac4b93a781 Mon Sep 17 00:00:00 2001
From: Christian Kellner <christian@kellner.me>
Date: Fri, 20 Aug 2021 14:18:28 +0200
Subject: [PATCH 1/3] runners: add Fedora 36 runner
New `org.osbuild.fedora36` which is re-using the f30 runner.
Needed since Fedora 36 was branched already.
---
runners/org.osbuild.fedora36 | 1 +
1 file changed, 1 insertion(+)
create mode 120000 runners/org.osbuild.fedora36
diff --git a/runners/org.osbuild.fedora36 b/runners/org.osbuild.fedora36
new file mode 120000
index 0000000..d46777b
--- /dev/null
+++ b/runners/org.osbuild.fedora36
@@ -0,0 +1 @@
+org.osbuild.fedora30
\ No newline at end of file
--
2.21.1 (Apple Git-122.3)

View file

@ -0,0 +1,22 @@
From 135b20a487c2b7435e296c9cfc7f96a826ba2d19 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ond=C5=99ej=20Budai?= <ondrej@budai.cz>
Date: Mon, 15 Aug 2022 14:13:55 +0200
Subject: [PATCH] runners: add fedora38
It's that time of the year again.
---
runners/org.osbuild.fedora38 | 1 +
1 file changed, 1 insertion(+)
create mode 120000 runners/org.osbuild.fedora38
diff --git a/runners/org.osbuild.fedora38 b/runners/org.osbuild.fedora38
new file mode 120000
index 0000000..d46777b
--- /dev/null
+++ b/runners/org.osbuild.fedora38
@@ -0,0 +1 @@
+org.osbuild.fedora30
\ No newline at end of file
--
2.37.2

View file

@ -1,40 +0,0 @@
From 54c0a2cce45ad385d793d494e62222cd254a866a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tom=C3=A1=C5=A1=20Hozza?= <thozza@redhat.com>
Date: Wed, 31 Jul 2024 18:12:24 +0200
Subject: [PATCH] Test/dnf4.mark: adjust the test for markings used by DNF5
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
When I rolled back from using 'dnf4', to check package markings, to
using 'dnf', I didn't verify the test case on Fedora Rawhide with DNF5.
It turns out that the strings reported by DNF5 differ and make the test
case fail. This time I tested the change on Fedora Rawhide with DNF5 and
it works.
Signed-off-by: Tomáš Hozza <thozza@redhat.com>
---
test/run/test_stages.py | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/test/run/test_stages.py b/test/run/test_stages.py
index dc91bf8f..7fec10c8 100644
--- a/test/run/test_stages.py
+++ b/test/run/test_stages.py
@@ -565,9 +565,11 @@ class TestStages(test.TestBase):
raise
if package == "dnf":
- assert mark == "user"
+ # dnf4 marks packages as 'user', while dnf5 marks them as 'User'
+ assert mark in ("user", "User")
else:
- assert mark == "unknown"
+ # dnf4 marks packages as 'unknown', while dnf5 marks them as 'External User'
+ assert mark in ("unknown", "External User")
@unittest.skipUnless(test.TestBase.has_filesystem_support("btrfs"), "btrfs needed")
def test_btrfs(self):
--
2.45.2

View file

@ -1,3 +1,3 @@
This repository is maintained by packit.
https://packit.dev/
The file was generated using packit 1.14.0.post1.dev2+g6506c7467.
The file was generated using packit 0.96.0.

File diff suppressed because it is too large Load diff

View file

@ -1,10 +0,0 @@
summary: Run osbuild integration tests
prepare:
how: install
package:
- osbuild
discover:
how: fmf
filter: tag:integration-test
execute:
how: tmt

View file

@ -1,13 +0,0 @@
summary: Run osbuild unit tests from dist-git sources
prepare:
how: install
package:
- git
- make
- osbuild
discover:
how: fmf
dist-git-source: true
filter: tag:unit-test
execute:
how: tmt

View file

@ -1 +1 @@
SHA512 (osbuild-169.tar.gz) = 981b6dae05d0f1fe0475549b5c72c2adafb656a7b9f3dbdf64fe660fe0852166bf327f654192f7f83583e2d559590b98dac8aba226e8203c3a0af274d51b33cf
SHA512 (osbuild-118.tar.gz) = 8004fead5783fe7e9ed468fe4a7eaebd7df4368f83d44374eba5dbaf71d711dddfb52ba43c49f98414b679c5513a2585e0b3c5bcd686c3a856867e6a8322a20f

1109
tests/fedora-boot.json Normal file

File diff suppressed because it is too large Load diff

View file

@ -1,52 +0,0 @@
#!/usr/bin/bash
set -euxo pipefail
MANIFESTS_DIR=$1
# check that MANIFESTS_DIR is a directory
if [ ! -d "$MANIFESTS_DIR" ]; then
echo "Error: $MANIFESTS_DIR is not a directory"
exit 1
fi
# ensure that we are running on x86_64 architecture
if [ "$(uname -m)" != "x86_64" ]; then
echo "Error: this script is only supported on x86_64 architecture"
exit 1
fi
. /etc/os-release
case "${ID}-${VERSION_ID}" in
fedora-*)
IMAGE_MANIFEST="${MANIFESTS_DIR}/fedora.json"
;;
rhel-8.*)
IMAGE_MANIFEST="${MANIFESTS_DIR}/rhel-8.json"
;;
rhel-9.*)
IMAGE_MANIFEST="${MANIFESTS_DIR}/rhel-9.json"
;;
centos-8)
IMAGE_MANIFEST="${MANIFESTS_DIR}/centos-8.json"
;;
centos-9)
IMAGE_MANIFEST="${MANIFESTS_DIR}/centos-9.json"
;;
centos-10)
IMAGE_MANIFEST="${MANIFESTS_DIR}/centos-10.json"
;;
*)
echo "Error: unsupported OS: ${ID}-${VERSION_ID}"
exit 1
;;
esac
OUTPUT_DIR=/var/tmp/osbuild-output
STORE_DIR=/var/tmp/osbuild-store
sudo mkdir -p "${OUTPUT_DIR}"
sudo mkdir -p "${STORE_DIR}"
# all the images are built with qcow2 format, so export it
EXPORT_PIPELINE="qcow2"
sudo osbuild --output-directory "${OUTPUT_DIR}" --store "${STORE_DIR}" --export "${EXPORT_PIPELINE}" "${IMAGE_MANIFEST}"

View file

@ -1,4 +0,0 @@
summary: Build simple image using osbuild
tag: integration-test
duration: 1h
test: ./build-images.sh ./manifests

File diff suppressed because it is too large Load diff

File diff suppressed because it is too large Load diff

File diff suppressed because it is too large Load diff

File diff suppressed because it is too large Load diff

File diff suppressed because it is too large Load diff

File diff suppressed because it is too large Load diff

25
tests/tests.yml Normal file
View file

@ -0,0 +1,25 @@
---
- hosts: localhost
roles:
- role: standard-test-source
tags:
- always
- role: standard-test-basic
tags:
- classic
required_packages:
- osbuild
- git
- make
- python3-mako
- python3-pytest
tests:
- smoke:
dir: smoke
run: osbuild --help
- unit:
dir: source
run: python3 -m pytest test/mod
- image:
dir: tests
run: osbuild fedora-boot.json --store=/var/tmp/osbuild/store --output-directory=/var/tmp/osbuild/out

View file

@ -1,4 +0,0 @@
summary: Run osbuild unit tests from dist-git sources
tag: unit-test
duration: 4h
test: ./prep-host-environment.sh; sudo chcon $(matchpathcon -n /usr/bin/osbuild) ./run-unit-tests.sh; ./run-unit-tests.sh

View file

@ -1,35 +0,0 @@
#!/usr/bin/bash
# Prepare the host environment for running the osbuild unit tests.
# This includes installing missing dependencies and tools.
set -euxo pipefail
source /etc/os-release
# Move to the checked out git repo with the test plans
# this should be the root of the dist-git repo
cd "${TMT_TREE}"
# install all test dependencies
sudo dnf install -y \
rpmdevtools \
python3-mako \
python3-pip \
rpm-ostree \
dosfstools \
gdisk \
python3-tomli-w
sudo dnf builddep -y osbuild.spec
# Install pytst from pip, because the version in some RHEL / CentOS releases is too old
sudo pip3 install pytest
# Make sure that /usr/lib/systemd/boot/efi/linuxx64.efi.stub is available to enable pe32p tests
case "${ID}-${VERSION_ID}" in
rhel-8.* | centos-8)
sudo dnf install -y systemd-udev
;;
*)
sudo dnf install -y systemd-boot-unsigned
;;
esac

View file

@ -1,55 +0,0 @@
#!/usr/bin/bash
# Execute osbuild unit tests from a checked out dist-git repo
set -euxo pipefail
source /etc/os-release
# The 'test/run/test_assemblers.py::test_tar' test case uses system tar to extract the built tar archive.
# However, files in the tar archive can have SELinux context not present in the system policy. Therefore,
# in order for the system tar to be able to set it when extracting the archive, it must be labeled with
# 'install_exec_t' type.
ORIGINAL_TAR_CONTEXT="$(matchpathcon -n "$(which tar)")"
sudo chcon "system_u:object_r:install_exec_t:s0" "$(which tar)"
function restore_tar_context() {
sudo chcon "${ORIGINAL_TAR_CONTEXT}" "$(which tar)"
}
trap restore_tar_context EXIT
# Run the unit tests
# Note:
# - Ignore the boot test, because it requires qemu-system-x86_64 not available on all distributions.
# - Ignore source code tests, which run linters, since we can't ensure that all linters are available
# and of the same version as in upstream.
# - Explicitly mark btrfs as unsupported on CentOS / RHEL
if [ "${ID}" == "centos" ] || [ "${ID}" == "rhel" ]; then
UNSUPPORTED_FS="--unsupported-fs btrfs"
fi
TEST_SELECTION_EXPR="not (TestBoot and boot)"
# disable some tests on RHEL-8
if ([ "${ID}" == "rhel" ] || [ "${ID}" == "centos" ]) && [ "${VERSION_ID%%.*}" == "8" ]; then
# qemu-img info in RHEL-8 produces "raw" as the image format for "vdi" images, which causes tests to fail. Skip it.
TEST_SELECTION_EXPR="${TEST_SELECTION_EXPR} and not (test_qemu[ext4-vdi] or test_qemu[xfs-vdi])"
TEST_SELECTION_EXPR="${TEST_SELECTION_EXPR} and not (TestStages and test_qemu)"
fi
# Move to the directory with sources
cd "${TMT_SOURCE_DIR}"
# Extract the Source0 basename without extension
SRC_DIR=$(spectool --source 0 osbuild.spec | sed 's/.\+\(osbuild-[0-9]\+\)\.tar\.gz/\1/')
# Move to the extracted sources directory (patches are applied by default)
cd "${SRC_DIR}"
sudo python3 -m pytest \
--rootdir "$(pwd)" \
--ignore "$(pwd)/test/src" \
${UNSUPPORTED_FS:-} \
-k "${TEST_SELECTION_EXPR}" \
-v \
"$(pwd)/test/"